Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Default_CO_Factory Class Reference

`#include <Notify_Default_CO_Factory.h>`

Inheritance diagram for TAO_Notify_Default_CO_Factory

[legend]
Collaboration diagram for TAO_Notify_Default_CO_Factory:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Default_CO_Factory (void)
| ~TAO_Notify_Default_CO_Factory ()
virtual int | init (int argc, char* argv[])
virtual int | fini (void)
TAO_Notify_EventChannel_i* | create_event_channel (TAO_Notify_EventChannelFactory_i* parent, CORBA::Environment &ACE_TRY_ENV)
TAO_Notify_ConsumerAdmin_i* | create_consumer_admin (TAO_Notify_EventChannel_i* channel, CORBA::Environment &ACE_TRY_ENV)
TAO_Notify_SupplierAdmin_i* | create_supplier_admin (TAO_Notify_EventChannel_i* channel, CORBA::Environment &ACE_TRY_ENV)
TAO_Notify_FilterFactory_i* | create_filter_factory (CORBA::Environment &ACE_TRY_ENV)
TAO_Notify_StructuredProxyPushSupplier_i* | create_struct_proxy_pushsupplier (TAO_Notify_ConsumerAdmin_i* parent, CORBA::Environment &ACE_TRY_ENV)
TAO_Notify_SequenceProxyPushSupplier_i* | create_seq_proxy_pushsupplier (TAO_Notify_ConsumerAdmin_i* parent, CORBA::Environment &ACE_TRY_ENV)
TAO_Notify_ProxyPushSupplier_i* | create_proxy_pushsupplier (TAO_Notify_ConsumerAdmin_i* parent, CORBA::Environment &ACE_TRY_ENV)
TAO_Notify_StructuredProxyPushConsumer_i* | create_struct_proxy_pushconsumer (TAO_Notify_SupplierAdmin_i* parent, CORBA::Environment &ACE_TRY_ENV)
TAO_Notify_SequenceProxyPushConsumer_i* | create_seq_proxy_pushconsumer (TAO_Notify_SupplierAdmin_i* parent, CORBA::Environment &ACE_TRY_ENV)
TAO_Notify_ProxyPushConsumer_i* | create_proxy_pushconsumer (TAO_Notify_SupplierAdmin_i* parent, CORBA::Environment &ACE_TRY_ENV)
ACE_Lock* | create_channel_factory_lock (CORBA::Environment &ACE_TRY_ENV)
ACE_Lock* | create_event_channel_lock (CORBA::Environment &ACE_TRY_ENV)
ACE_Lock* | create_consumer_admin_lock (CORBA::Environment &ACE_TRY_ENV)
ACE_Lock* | create_supplier_admin_lock (CORBA::Environment &ACE_TRY_ENV)
ACE_Lock* | create_proxy_supplier_lock (CORBA::Environment &ACE_TRY_ENV)
ACE_Lock* | create_proxy_consumer_lock (CORBA::Environment &ACE_TRY_ENV)
## Static Public Methods
int | init_svc (void)

## Constructor & Destructor Documentation

TAO_Notify_Default_CO_Factory::TAO_Notify_Default_CO_Factory ( | void )

TAO_Notify_Default_CO_Factory::~TAO_Notify_Default_CO_Factory ( | )

## Member Function Documentation

ACE_Lock * TAO_Notify_Default_CO_Factory::create_channel_factory_lock ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_ConsumerAdmin_i * TAO_Notify_Default_CO_Factory::create_consumer_admin ( | TAO_Notify_EventChannel_i * event_channel,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_CO_Factory.

ACE_Lock * TAO_Notify_Default_CO_Factory::create_consumer_admin_lock ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_EventChannel_i * TAO_Notify_Default_CO_Factory::create_event_channel ( | TAO_Notify_EventChannelFactory_i * parent,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_CO_Factory.

ACE_Lock * TAO_Notify_Default_CO_Factory::create_event_channel_lock ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_FilterFactory_i * TAO_Notify_Default_CO_Factory::create_filter_factory ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_CO_Factory.

ACE_Lock * TAO_Notify_Default_CO_Factory::create_proxy_consumer_lock ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_ProxyPushConsumer_i * TAO_Notify_Default_CO_Factory::create_proxy_pushconsumer ( | TAO_Notify_SupplierAdmin_i * parent,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_ProxyPushSupplier_i * TAO_Notify_Default_CO_Factory::create_proxy_pushsupplier ( | TAO_Notify_ConsumerAdmin_i * parent,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_CO_Factory.

ACE_Lock * TAO_Notify_Default_CO_Factory::create_proxy_supplier_lock ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_SequenceProxyPushConsumer_i * TAO_Notify_Default_CO_Factory::create_seq_proxy_pushconsumer ( | TAO_Notify_SupplierAdmin_i * parent,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_SequenceProxyPushSupplier_i * TAO_Notify_Default_CO_Factory::create_seq_proxy_pushsupplier ( | TAO_Notify_ConsumerAdmin_i * parent,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_StructuredProxyPushConsumer_i * TAO_Notify_Default_CO_Factory::create_struct_proxy_pushconsumer ( | TAO_Notify_SupplierAdmin_i * parent,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_StructuredProxyPushSupplier_i * TAO_Notify_Default_CO_Factory::create_struct_proxy_pushsupplier ( | TAO_Notify_ConsumerAdmin_i * parent,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_CO_Factory.

TAO_Notify_SupplierAdmin_i * TAO_Notify_Default_CO_Factory::create_supplier_admin ( | TAO_Notify_EventChannel_i * event_channel,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_CO_Factory.

ACE_Lock * TAO_Notify_Default_CO_Factory::create_supplier_admin_lock ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_CO_Factory.

int TAO_Notify_Default_CO_Factory::fini ( | void )`[virtual]`

| Reimplemented from ACE_Shared_Object.

int TAO_Notify_Default_CO_Factory::init ( | int argc,
| char * argv[] )`[virtual]`

int TAO_Notify_Default_CO_Factory::init_svc ( | void )`[static]`

The documentation for this class was generated from the following files:

- Notify_Default_CO_Factory.h
- Notify_Default_CO_Factory.cpp